Subject: Re: bug in gitk: history moves right when scrolling up and down with mouse wheel

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 07 Jan 2011 18:17:37 -0600

On 1/7/2011 2:24 PM, Stefan Haller wrote:
> Neal Kreitzinger<[email-masked]>  wrote:
>
>> Actually, I've wanted the ability to scroll left and right in the
>> history pane for quite a while.  Resorting to shrinking the fontsize and
>> the other columns only goes so far when trying to see a list of
>> equivalent refs.  If the ability to scroll left and right can be kept
>> that would be cool.
>
> Interesting.  On the Mac it *is* possible to scroll left and right, and
> it absolutely drives me nuts, so I disabled it in my private build.
> I guess it's ok with a mouse, where shift-wheel scrolls horizontally,
> but on a track-pad with two-finger scrolling, where you can scroll both
> horizontally and vertically with a single guesture, it is completely
> undesirable.
>
I agree.  What would be ideal is a left-right scroll bar like the 
up-down scrollbar.

v/r,
Neal